---
operationId: "getProjectOperation"
method: "GET"
path: "/projects/{project_id}/operations/{operation_id}"
tag: "operations"
interfaces: ["api", "sdk", "console"]
---
> API Reference / Operations / Retrieve operation details

## GET /projects/{project_id}/operations/{operation_id}

Retrieves details for the specified operation.
An operation is an action performed on a Neon project resource.


### Parameters

- `project_id` (string, path, required)
  The Neon project ID
- `operation_id` (string, path, required)
  The operation ID

### Response (200)

```json
{
  "operation": {
    "id": "a07f8772-1877-4da9-a939-3a3ae62d1d8d",
    "project_id": "floral-king-961888",
    "branch_id": "br-bitter-sound-247814",
    "endpoint_id": "ep-dark-snowflake-942567",
    "action": "create_timeline",
    "status": "finished",
    "failures_count": 0,
    "created_at": "2022-10-04T18:20:17Z",
    "updated_at": "2022-10-04T18:20:18Z",
    "total_duration_ms": 100
  }
}
```

### Code examples

```bash
curl "https://console.neon.tech/api/v2/projects/$PROJECT_ID/operations/$OPERATION_ID" \
  -H "Authorization: Bearer $NEON_API_KEY"
```

```typescript
import { createNeonClient, raw } from '@neon/sdk';

const neon = createNeonClient({ apiKey: process.env.NEON_API_KEY });
const { data } = await raw.getProjectOperation({
  client: neon.client,
  path: {
    project_id: process.env.PROJECT_ID,
    operation_id: process.env.OPERATION_ID
  }
});
```

### Console

Console path: Projects → Monitoring → System operations

### Errors

**default**
General Error.

The request may or may not be safe to retry, depending on the HTTP method, response status code,
and whether a response was received.

- If no response is returned from the API, a network error or timeout likely occurred.
- In some cases, the request may have reached the server and been successfully processed, but the response failed to reach the client. As a result, retrying non-idempotent requests can lead to unintended results.

The following HTTP methods are considered non-idempotent: `POST`, `PATCH`, `DELETE`, and `PUT`. Retrying these methods is generally **not safe**.
The following methods are considered idempotent: `GET`, `HEAD`, and `OPTIONS`. Retrying these methods is **safe** in the event of a network error or timeout.

Any request that returns a `503 Service Unavailable` response is always safe to retry.

Any request that returns a `423 Locked` response is safe to retry. `423 Locked` indicates that the resource is temporarily locked, for example, due to another operation in progress.

- `request_id` (string, optional)
  Unique identifier for the request, useful for debugging.
  You can set this value manually by including an `X-Request-ID` header in the request. If not provided, the value will be generated automatically.
  
- `code` (string, required)
  Default: ``
- `message` (string, required)
  Error message
